package body MSHTML.IHTMLBaseElement2_Object is

   procedure Put_href
     (This : IHTMLBaseElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBaseElement2_Put_href,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_href;

   function Get_href
     (This : IHTMLBaseElement2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBaseElement2_Get_href);
   end Get_href;

end MSHTML.IHTMLBaseElement2_Object;

